## t
Tag treeCheckbox

Renders a HTML input of type "treeCheckbox". The associated comes from the treeCheckbox itemLabel and itemValue. The selected items come from an extended selectManyCheckbox component with layout "spread". The selectManyCheckbox is referenced by the "for" attribute. All HTML pass-through attributes for this input are taken from the associated selectManyCheckbox.

Tag Information
Tag Class | org.apache.myfaces.custom.tree.taglib.TreeCheckboxTag
TagExtraInfo Class | None
Body Content | empty
Display Name | None

Attributes
Name | Required | Request-time | Type | Description
binding | false | false | `java.lang.String` | Component binding.
for | true | false | `java.lang.String` | id of the referenced extended selectManyCheckbox component
id | false | false | `java.lang.String` | No Description
itemDescription | false | false | `java.lang.String` | No Description
itemDisabled | false | false | `java.lang.String` | If true, this component will not be saved during state saving.
itemLabel | false | false | `java.lang.String` | No Description
itemValue | false | false | `java.lang.String` | No Description
value | false | false | `java.lang.String` | Value reference pointing at a javax.faces.model.SelectItem instance.

Variables
No Variables Defined.

Output Generated by Tag Library Documentation Generator. Java, JSP, and JavaServer Pages are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries. Copyright 2002-4 Sun Microsystems, Inc. 4150 Network Circle Santa Clara, CA 95054, U.S.A. All Rights Reserved.